ACOS(3)

NAME
acos - arc cosine function

SYNOPSIS
#include <math.h>
double
acos(double x);
long double
acosl(long double x);
float
acosf(float x);

DESCRIPTION
The acos() function computes the principle value of the arc cosine of x. The result is in the range [0,].

SPECIAL VALUES
acos(1) returns +0.

acos(x) returns a NAN and raises the "invalid" floating-point exception for |x| > 1.

VECTOR OPERATIONS
If you need to apply the acos() function to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vacosf(vFloat x);
void vvacosf(float *y, const float *x, const int *n);
void vvacos(double *y, const double *x, const int *n);

SEE ALSO
sin(3), cos(3), tan(3), asin(3), atan(3), atan2(3), sinh(3), cosh(3), tanh(3), math(3)

STANDARDS
The acos() function conforms to ISO/IEC 9899:2011.